Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1512762 - ps2 keyboard missing some keys
Summary: ps2 keyboard missing some keys
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.5
Hardware: x86_64
OS: All
medium
medium
Target Milestone: rc
: ---
Assignee: Gerd Hoffmann
QA Contact: Guo, Zhiyi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-14 02:30 UTC by Guo, Zhiyi
Modified: 2018-07-30 05:35 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-30 05:35:48 UTC


Attachments (Terms of Use)

Description Guo, Zhiyi 2017-11-14 02:30:11 UTC
Description of problem:
ps2 keyboard missing some keys

host & guest: 3.10.0-781.el7.x86_64
qemu-kvm-rhev-2.10.0-5.el7.x86_64

How reproducible:
100%


Steps to Reproduce:
1.Boot a rhel7.5 guest with default ps2 keyboard:
/usr/libexec/qemu-kvm -name input-test -m 2G \
-cpu qemu64,check \
-smp 2 \
-device cirrus-vga \
-netdev tap,id=idinWyYp,vhost=on -device virtio-net-pci,mac=42:ce:a9:d2:4d:d7,id=idlbq7eA,netdev=idinWyYp \
-uuid 215e11b2-a869-41b5-91cd-6a32a907be7e \
-device ich9-usb-uhci6 \
-drive file=/home/rhel75.qcow2,if=none,id=drive-scsi-disk0,format=qcow2,cache=none,werror=stop,rerror=stop  -device ide-drive,drive=drive-scsi-disk0 \
-qmp unix:/tmp/input-port,server,nowait \
-monitor stdio \
2.Inside guest, open a gnome-terminal and execute: xev -event keyboard
3.Input key 'KATAKANA' and 'HIRAGANA'

Actual results:
Nothing output from xev

Expected results:
output of xev:
KeyPress event, serial 37, synthetic NO, window 0x2a00001,
    root 0x2f3, subw 0x0, time 2123986456, (767,421), root:(832,537),
    state 0x0, keycode 98 (keysym 0xff26, Katakana), same_screen YES,
    XLookupString gives 0 bytes:
    XmbLookupString gives 0 bytes:
    XFilterEvent returns: False

KeyRelease event, serial 38, synthetic NO, window 0x2a00001,
    root 0x2f3, subw 0x0, time 2123986556, (767,421), root:(832,537),
    state 0x0, keycode 98 (keysym 0xff26, Katakana), same_screen YES,
    XLookupString gives 0 bytes:
    XFilterEvent returns: False
KeyPress event, serial 47, synthetic NO, window 0x2a00001,
    root 0x2f3, subw 0x0, time 2123988255, (767,421), root:(832,537),
    state 0x0, keycode 99 (keysym 0xff25, Hiragana), same_screen YES,
    XLookupString gives 0 bytes:
    XmbLookupString gives 0 bytes:
    XFilterEvent returns: False

KeyRelease event, serial 48, synthetic NO, window 0x2a00001,
    root 0x2f3, subw 0x0, time 2123988356, (767,421), root:(832,537),
    state 0x0, keycode 99 (keysym 0xff25, Hiragana), same_screen YES,
    XLookupString gives 0 bytes:
    XFilterEvent returns: False


Additional info:

Comment 2 Gerd Hoffmann 2018-06-13 11:22:08 UTC
Can you retest with a 2.12 build please?  I think this is fixed meanwhile.

Comment 3 Guo, Zhiyi 2018-07-30 05:34:09 UTC
Try on qemu-kvm-rhev-2.12.0-8.el7.x86_64 and qemu-kvm-rhev-2.12.0-1.el7.x86_64, I can input these keys inside guest now


Note You need to log in before you can comment on or make changes to this bug.